# Sending Viber

## Sending Viber

<mark style="color:blue;">`GET`</mark> `http://lk.mysmpp.ru/sendsms.php`

#### Request Body

| Name                                            | Type   | Description                                                                                                                                                                                      |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| user<mark style="color:red;">\*</mark>          | Sting  | Your login in the system                                                                                                                                                                         |
| validity\_period                                | String | <p>SMS lifetime (default 2 days) Date and time in format:</p><p>YYYY-MM-DD HH:MM</p><p> where,<br>   YYYY - year,<br>   MM - month,<br>   DD - day,<br>   HH - hours, </p><p>   MM - minutes</p> |
| image\_viber                                    | String | Address of the picture for Viber message                                                                                                                                                         |
| action\_viber                                   | String | Link for Viber message button                                                                                                                                                                    |
| button\_viber                                   | String | Viber message button text                                                                                                                                                                        |
| text\_viber<mark style="color:red;">\*</mark>   | String | Viber message text                                                                                                                                                                               |
| sender\_viber<mark style="color:red;">\*</mark> | String | Viber message sender                                                                                                                                                                             |
| type\_send\_1<mark style="color:red;">\*</mark> | String | Type of message to be sent (**`viber`**)                                                                                                                                                         |
| token<mark style="color:red;">\*</mark>         | Sting  | You can use a secret key instead of login and password. To obtain it, please contact your manager                                                                                                |
| pwd<mark style="color:red;">\*</mark>           | Sting  | Your password in the system                                                                                                                                                                      |

{% tabs %}
{% tab title="200: OK Viber GET request response" %}
Viber message **`id_sms`** number will be sent in reply. Used to check the status of Viber message.
{% endtab %}
{% endtabs %}

### Example of a browser request

{% code overflow="wrap" %}

```
http://lk.mysmpp.ru/sendsms.php?user=login&pwd=password&type_send_1=viber&sender_viber=sender&dadr=phone&text_viber=text_viber&button_viber=button_viber&action_viber=action_viber&image_viber=http://image_viber
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.webcom.mobi/en/sposoby-vzaimodeistviya-s-a2p-platformoi/http-get-specification/sending-viber.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
